Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Android™ Runtime Development

Reply
Developer
Posts: 63
Registered: ‎09-10-2009
My Device: Z10, Bold 9700
My Carrier: O2 Germany
Accepted Solution

Error when trying to debug on PlayBook - problem with new ADT version 20?

Until recently I've been able to debug an Android project directly on my PlayBook. But today I am getting an error message, just after packaging has finished.

 

Yesterday I have updated the Android Development Tools plugin for eclipse to version 20. Is the current BlackBerry Plug-in for ADT incompatible with ADT 20? Can someone confirm or refute this?

 

Signing the project and sideloading it onto the PlayBook still works, but then I don't have the debug ouput. This is the error I get when I try to debug on the PlayBook:

 

An internal error occurred during: "Launching my_project (1)".

java.lang.NoClassDefFoundError: com/android/sdklib/xml/ManifestData
	at net.rim.ajde.internal.launch.BlackBerryAndroidLaunchConfigDelegate.startLaunch(BlackBerryAndroidLaunchConfigDelegate.java:425)
	at net.rim.ajde.internal.launch.BlackBerryAndroidLaunchConfigDelegate.debug(BlackBerryAndroidLaunchConfigDelegate.java:331)
	at net.rim.ajde.internal.launch.BlackBerryAndroidLaunchConfigDelegate.launch(BlackBerryAndroidLaunchConfigDelegate.java:310)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:854)
	at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:703)
	at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:928)
	at org.eclipse.debug.internal.ui.DebugUIPlugin$8.run(DebugUIPlugin.java:1132)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)
Caused by: java.lang.ClassNotFoundException: com.android.sdklib.xml.ManifestData
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:513)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:429)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:417)
	at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:107)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
	... 8 more

 

----

My Twitter: @hendrik_dev
New Member
Posts: 1
Registered: ‎06-29-2012
My Device: Playbook
My Carrier: Kufirc

Re: Error when trying to debug on PlayBook - problem with new ADT version 20?

Same here :smileysad:

New Developer
Posts: 57
Registered: ‎10-06-2008
My Device: 9800

Re: Error when trying to debug on PlayBook - problem with new ADT version 20?

Me three... Not had any luck getting it back to normal no matter how I try to reinstall/unintall the SDK.

***********************************************************************
Please click the "kudos" in my post if I was able to help you on this issue.
Please mark thread as resolved if I was able to fix the issue!!
BlackBerry Development Advisor
Posts: 82
Registered: ‎11-21-2008
My Device: Z10
My Carrier: Bell

Re: Error when trying to debug on PlayBook - problem with new ADT version 20?

Hi everyone,

 

James here from the Developer Relations team. Revision 20 of the Android SDK platform-tools seems to have broken the existing functionality of our BlackBerry plug-in for ADT. This issue will be resolved in our upcoming beta refresh, but for the time being you can downgrade to rev18 to continue using the BlackBerry plug-in.

 

My apologies for the inconvenience.


James Dreher
BlackBerry Development Advisor
New Developer
Posts: 3
Registered: ‎12-02-2009
My Device: Not Specified

Re: Error when trying to debug on PlayBook - problem with new ADT version 20?

When would the beta refresh be released? Thanks! I'm trying to present this to a group of audience for PinoyBBDev.
New Member
Posts: 1
Registered: ‎07-08-2012
My Device: Playbook
My Carrier: netzclub.net

Re: Error when trying to debug on PlayBook - problem with new ADT version 20?

Current Beta 1.1.0.201206041147 does not solve it:

 

As soon as the issue is solved, use this url for the beta SDK with Eclipse:

https://bdsc.webapps.blackberry.com/android/downloads/eclipseplugin/beta/

 

It does not conflict with your non-beta update url, so there is no need to uninstall the officially released SDK upfront.

The beta url just updates some files of your SDK.

Developer
Posts: 37
Registered: ‎01-07-2011
My Device: BB10 Dev Alpha, Playbook
My Carrier: Telus

Re: Error when trying to debug on PlayBook - problem with new ADT version 20?

[ Edited ]

rev 18 can be downloaded from dl.google.com/android/android-sdk_r18-windows.zip

Please click the "kudos" in my post if I was able to help you on this issue.
Please mark thread as resolved if I was able to fix the issue!!
Twitter: @wiisniper
My Free Playbook Apps (no ads):
Speech timer Plus http://appworld.blackberry.com/webstore/content/83847/
Speech timer http://appworld.blackberry.com/webstore/content/34640/
New Contributor
Posts: 8
Registered: ‎01-05-2011
My Device: Not Specified

Re: Error when trying to debug on PlayBook - problem with new ADT version 20?

This bug is critical. What can i do if i develop for android: I must uninstall android eclipse plugin, android sdk, not real scenario. Is there any bugtracker?

New Member
Posts: 1
Registered: ‎07-16-2012
My Device: Playbook
My Carrier: Movistar

Re: Error when trying to debug on PlayBook - problem with new ADT version 20?

I try with r8 version and still fails. Another thing is that the same error occurs when I open Debug Configuration.

After a few days of try I'm start to think that the tool doesn't work.

Has anyone actually been able to successfully use this tool?

 

Developer
Posts: 63
Registered: ‎09-10-2009
My Device: Z10, Bold 9700
My Carrier: O2 Germany

Re: Error when trying to debug on PlayBook - problem with new ADT version 20?

michbier wrote:

"As soon as the issue is solved, use this url for the beta SDK with Eclipse:

https://bdsc.webapps.blackberry.com/android/downloads/eclipseplugin/beta/

 

It does not conflict with your non-beta update url, so there is no need to uninstall the officially released SDK upfront.

The beta url just updates some files of your SDK."

 

There is a new version 1.2.0 available on this beta update site, but unfortunately it is not possible for me to install it.

 

Eclipse always fails with this error:

An error occurred while collecting items to be installed
session context was:(profile=SDKProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,com.qnx.tools.bbt.core,3.2.0.201207131336
No repository found containing: osgi.bundle,com.qnx.tools.bbt.ui,3.0.0.201207131336
No repository found containing: osgi.bundle,net.rim.ajde,1.2.0.201207131336
No repository found containing: org.eclipse.update.feature,blackberry.tools.sdk.feature,1.2.0.201207131336
No repository found containing: org.eclipse.update.feature,net.rim.ajde.feature,1.2.0.201207131336

 

 

----

My Twitter: @hendrik_dev